Bug 1125007 - Many of the list/index page columns dont get when their details change
Summary: Many of the list/index page columns dont get when their details change
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 20:03 UTC by Partha Aji
Modified: 2017-01-04 20:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-04 20:22:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6850 None None None 2016-04-22 16:09:48 UTC

Description Partha Aji 2014-07-30 20:03:46 UTC
Take the example of the following issue http://projects.theforeman.org/issues/6807
1. create a host collection
2. add two new hosts to host-collection
3. Go to the host collections index page. 
Notice that the content hosts count has not been updated

Similar bugs occur on
* Product/Repositories page (where we add a repo to the product and the index still shows the previous number) 
* Content Views, where the repo/env names are not similartly update
* Gpg Keys with the product/repo count 
and so on. This is probably true for every nutupane page.

We need a generic mechanism/service to automatically update the Index list when we change specific details of one of the items

Comment 1 Partha Aji 2014-07-30 20:03:47 UTC
Created from redmine issue http://projects.theforeman.org/issues/6850

Comment 2 Partha Aji 2014-07-30 20:03:49 UTC
Upstream bug assigned to walden@redhat.com

Comment 4 Bryan Kearney 2015-08-25 17:59:40 UTC
Upstream bug component is WebUI

Comment 5 Bryan Kearney 2016-07-08 20:42:51 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 7 Bryan Kearney 2017-01-04 20:22:08 UTC
This is an older bug, which is being tracked upstream. We will not be tracking this downstream. When the upstream issue is resolved, the next rebase will pull in the fix.


Note You need to log in before you can comment on or make changes to this bug.